curl --request DELETE \
--url https://api.nocotax.app/billing_schedules/{id}/cancel \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.nocotax.app/billing_schedules/{id}/cancel"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.nocotax.app/billing_schedules/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/billing_schedules/{id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/billing_schedules/{id}/cancel"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.nocotax.app/billing_schedules/{id}/cancel")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/billing_schedules/{id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "bs_1792060730la6f266c4c95",
"livemode": false,
"object": "billing_schedule",
"status": "cancelled",
"cancelled_at": "2026-10-15T10:38:51.841Z"
}Cancel a BillingSchedule
Cancels an BillingSchedule for a given ID.
curl --request DELETE \
--url https://api.nocotax.app/billing_schedules/{id}/cancel \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.nocotax.app/billing_schedules/{id}/cancel"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.nocotax.app/billing_schedules/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/billing_schedules/{id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/billing_schedules/{id}/cancel"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.nocotax.app/billing_schedules/{id}/cancel")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/billing_schedules/{id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "bs_1792060730la6f266c4c95",
"livemode": false,
"object": "billing_schedule",
"status": "cancelled",
"cancelled_at": "2026-10-15T10:38:51.841Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
id
Response
successful
A billing schedule represents recurring generation of invoices between your platform and another entity.
Each schedule is timezone-aware and executes at the specified time in the account's local timezone, based on its `billing_cycle` details.
A billing schedule can represent two types of billing:
* Self-billing: Between a supplier (supplier_id) and the account's self-owned organization
* Commission billing: Between the account's self-owned organization and a recipient (customer_id)
The ID of the billing_cycle this billing_schedule is linked to.
In case of a cancellation of the schedule, the datetime to which it has been deleted
The ID of the organization that is invoiced through this billing schedule
COMMISSIONS: Representing an aggregation of commissions between your organization and a recipient (seller). PURCHASES: Representing a recurring (or on-demand) self billing flow between a supplier and your organization
COMMISSIONS, PURCHASES The last time this billing schedule has been run
The next occurrence this billing schedule will run. null if the underlying billing cycle period is ON_DEMAND
The status of this billing_schedule. active: Is active. cancelled: has been cancelled
active, cancelled The ID of the organization that is the supplier of invoices through this billing schedule
